Summary:   meta-package for qt5 development packages missing "Provides: cmake(Qt5*)"
Name:      qt5-cmake
Version:   1.2
Release:   2.TMM%{?dist}
BuildArch: noarch
Group:     System Environment/Libraries
License:   GPL

Requires:  qt5-qtbase-devel
Provides:  cmake(Qt5DBus)
Provides:  cmake(Qt5Widgets)
Provides:  cmake(Qt5Core)
Provides:  cmake(Qt5Test)
Provides:  cmake(Qt5PrintSupport)
Provides:  cmake(Qt5OpenGL)
Provides:  cmake(Qt5Sql)
Provides:  cmake(Qt5Gui)
Provides:  cmake(Qt5Xml)
Provides:  cmake(Qt5Concurrent)
Provides:  cmake(Qt5)
Provides:  cmake(Qt5Network)

%description
These meta-packages satisfy "cmake(Qt5*)" build dependencies (as used
by the Fedora KDE SIG), and pull in the matching development files.

%package qt3d-devel
Summary: cmake "Provides:" metapackage for qt5-qt3d-devel.
Requires:  qt5-qt3d-devel
Provides:  cmake(Qt53DQuickInput)
Provides:  cmake(Qt53DQuickRender)
Provides:  cmake(Qt53DInput)
Provides:  cmake(Qt53DCore)
Provides:  cmake(Qt53DRender)
Provides:  cmake(Qt53DQuick)
Provides:  cmake(Qt53DLogic)
%description qt3d-devel
%{summary}.

%package linguist
Summary: cmake "Provides:" metapackage for qt5-linguist.
Requires:  qt5-linguist
Provides:  cmake(Qt5LinguistTools)
%description linguist
%{summary}.

%package qtbase-static
Summary: cmake "Provides:" metapackage for qt5-qtbase-static
Requires:  qt5-qtbase-static
Provides:  cmake(Qt5OpenGLExtensions)
%description qtbase-static
%{summary}.

%package qtconnectivity-devel
Summary: cmake "Provides:" metapackage for qt5-qtconnectivity-devel
Requires:  qt5-qtconnectivity-devel
Provides:  cmake(Qt5Nfc)
Provides:  cmake(Qt5Bluetooth)
%description qtconnectivity-devel
%{summary}.

%package qtdeclarative-devel
Summary: cmake "Provides:" metapackage for qt5-qtdeclarative-devel
Requires:  qt5-qtdeclarative-devel
Provides:  cmake(Qt5Quick)
Provides:  cmake(Qt5QuickTest)
Provides:  cmake(Qt5QuickWidgets)
Provides:  cmake(Qt5Qml)
%description qtdeclarative-devel
%{summary}.

%package qtenginio-devel
Summary: cmake "Provides:" metapackage for qt5-qtenginio-devel
Requires:  qt5-qtenginio-devel
Provides:  cmake(Qt5Engineio)
%description qtenginio-devel
%{summary}.

%package qtlocation-devel
Summary: cmake "Provides:" metapackage for qt5-qtlocation-devel
Requires:  qt5-qtlocation-devel
Provides:  cmake(Qt5Positioning)
Provides:  cmake(Qt5Location)
%description qtlocation-devel
%{summary}.

%package qtmultimedia-devel
Summary: cmake "Provides:" metapackage for qt5-qtmultimedia-devel
Requires:  qt5-qtmultimedia-devel
Provides:  cmake(Qt5Multimedia)
Provides:  cmake(Qt5MultimediaWidgets)
%description qtmultimedia-devel
%{summary}.

%package qtquick1-devel
Summary: cmake "Provides:" metapackage for qt5-qtquick1-devel
Requires:  qt5-qtquick1-devel
Provides:  cmake(Qt5Declarative)
%description qtquick1-devel
%{summary}.

%package qtscript-devel
Summary: cmake "Provides:" metapackage for qt5-qtscript-devel
Requires:  qt5-qtscript-devel
Provides:  cmake(Qt5Script)
Provides:  cmake(Qt5ScriptTools)
%description qtscript-devel
%{summary}.

%package qtsensors-devel
Summary: cmake "Provides:" metapackage for qt5-qtsensors-devel
Requires:  qt5-qtsensors-devel
Provides:  cmake(Qt5Sensors)
%description qtsensors-devel
%{summary}.

%package qtserialport-devel
Summary: cmake "Provides:" metapackage for qt5-qtserialport-devel
Requires:  qt5-qtserialport-devel
Provides:  cmake(Qt5SerialPort)
%description qtserialport-devel
%{summary}.

%package qtspeech-devel
Summary: cmake "Provides:" metapackage for qt5-qtxmlpatterns-devel
Requires:  qt5-qtspeech-devel
Provides:  cmake(Qt5TextToSpeech)
%description qtspeech-devel
%{summary}.

%package qtsvg-devel
Summary: cmake "Provides:" metapackage for qt5-qtsvg-devel
Requires:  qt5-qtsvg-devel
Provides:  cmake(Qt5Svg)
%description qtsvg-devel
%{summary}.

%package qttools-devel
Summary: cmake "Provides:" metapackage for qt5-qttools-devel
Requires:  qt5-qttools-devel
Provides:  cmake(Qt5UiPlugin)
Provides:  cmake(Qt5Help)
Provides:  cmake(Qt5Designer)
%description qttools-devel
%{summary}.

%package qttools-static
Summary: cmake "Provides:" metapackage for qt5-qttools-static
Requires:  qt5-qttools-static
Provides:  cmake(Qt5UiTools)
%description qttools-static
%{summary}.

%package qtwebchannel-devel
Summary: cmake "Provides:" metapackage for qt5-qtwebchannel-devel
Requires:  qt5-qtwebchannel-devel
Provides:  cmake(Qt5WebChannel)
%description qtwebchannel-devel
%{summary}.

%package qtwebkit-devel
Summary: cmake "Provides:" metapackage for qt5-qtwebkit-devel
Requires:  qt5-qtwebkit-devel
Provides:  cmake(Qt5WebKit)
Provides:  cmake(Qt5WebKitWidgets)
%description qtwebkit-devel
%{summary}.

%package qtwebsockets-devel
Summary: cmake "Provides:" metapackage for qt5-qtwebsockets-devel
Requires:  qt5-qtwebsockets-devel
Provides:  cmake(Qt5WebSockets)
%description qtwebsockets-devel
%{summary}.

%package qtx11extras-devel
Summary: cmake "Provides:" metapackage for qt5-qtx11extras-devel
Requires:  qt5-qtx11extras-devel
Provides:  cmake(Qt5X11Extras)
%description qtx11extras-devel
%{summary}.

%package qtxmlpatterns-devel
Summary: cmake "Provides:" metapackage for qt5-qtxmlpatterns-devel
Requires:  qt5-qtxmlpatterns-devel
Provides:  cmake(Qt5XmlPatterns)
%description qtxmlpatterns-devel
%{summary}.

%package qtwebengine-devel
Summary: cmake "Provides:" metapackage for qt5-qtwebengine-devel
Requires: qt5-qtwebengine-devel
Provides:  cmake(Qt5WebEngine)
%description qtwebengine-devel
%{summary}.

%files

%files qt3d-devel

%files linguist

%files qtbase-static

%files qtconnectivity-devel

%files qtdeclarative-devel

%files qtenginio-devel

%files qtlocation-devel

%files qtmultimedia-devel

%files qtquick1-devel

%files qtscript-devel

%files qtsensors-devel

%files qtserialport-devel

%files qtspeech-devel

%files qtsvg-devel

%files qttools-devel

%files qttools-static

%files qtwebchannel-devel

%files qtwebkit-devel

%files qtwebsockets-devel

%files qtx11extras-devel

%files qtxmlpatterns-devel

%files qtwebengine-devel


%changelog
* Sun Jan 13 2019 Tomas Miljenović (Tomas@miljenovic.com) - qt5-devel-cmake-1.2-2
- add cmake(Qt5WebEngine)

* Wed Nov  7 2018 Tomas Miljenović (Tomas@miljenovic.com) - qt5-devel-cmake-1.1-1
- add cmake(Qt5TextToSpeech)
* Tue Jun 19 2018 Tomas Miljenović (Tomas@miljenovic.com)
- initial RPM